Arguments

query· StationListQuery
Query parameters to filter stations.
filter· StationListFilter
Criteria to filter stations.
size· Int
Number of elements (count) to return.
page· Int
Page number to return.

Fields

id· ID
Unique ID of a station.
country_code· String
ISO-3166 alpha-2 country code of a station.
party_id· String
CPO ID of a CPO that 'owns' this station (following the ISO-15118 standard).
publish· Boolean
Defines if a location may be published on a website or app etc. When this is set to false, only tokens identified in the field: publish_allowed_to are allowed to show this location. When the same location has EVSEs that may be published and may not be published, two 'locations' should be created.
name· String
Name of a charging station.
address· String
Street/block name and house number if available.
city· String
City or town
postal_code· String
Postal code of a location, may only be omitted when a location has no postal code: in some countries charging locations at highways don’t have postal codes.
state· String
State or province of a location, only to be used when relevant.
country· String
ISO 3166-1 alpha-3 code for the country of this station.
coordinates· OCPIGeoLocation
Coordinates of a location.
parking_type· OCPIParkingType
Type of parking at a charge point location.
ALONG_MOTORWAY

Location on a parking facility/rest area along a motorway, freeway, interstate, highway etc.

PARKING_GARAGE

Multistorey car park.

PARKING_LOT

A cleared area that is intended for parking vehicles, i.e. at supermarkets, bars, etc.

ON_DRIVEWAY

Location is on the driveway of a house/building.

ON_STREET

Parking in public space along a street.

UNDERGROUND_GARAGE

Multistorey car park, mainly underground.

evses· EVSE
EVSEs that belong to a station.
directions· OCPIDisplayText
Human-readable directions on how to reach a station.
operator· Operator
Information about an operator.
suboperator· Operator
Information about a suboperator if applicable.
owner· Operator
Information about an owner if available.
facilities· OCPIFacility
Facilities a charging station belongs to.
HOTEL

A hotel.

RESTAURANT

A restaurant.

CAFE

A cafe.

MALL

A mall or shopping center.

SUPERMARKET

A supermarket.

SPORT

Sport facilities: gym, field etc.

RECREATION_AREA

A recreation area.

NATURE

Located in, or close to, a park, nature reserve etc.

MUSEUM

A museum.

BIKE_SHARING

A bike/e-bike/e-scooter sharing location.

BUS_STOP

A bus stop.

TAXI_STAND

A taxi stand.

TRAM_STOP

A tram stop/station.

METRO_STATION

A metro station.

TRAIN_STATION

A train station.

AIRPORT

An airport.

PARKING_LOT

A parking lot.

CARPOOL_PARKING

A carpool parking.

FUEL_STATION

A Fuel station.

WIFI

Wifi or other type of internet available.

time_zone· String
Value from the IANA time zone database representing the time zone of a location. Examples: "Europe/Oslo", "Europe/Zurich". (http://www.iana.org/time-zones).
opening_times· OCPIHours
Times when an EVSEs at a location can be accessed for charging.
charging_when_closed· Boolean
Indicates if the EVSEs are still charging outside the opening hours. E.g. when a parking garage closes its barriers overnight, is it allowed to charge till the next morning? Default: true.
images· OCPIImage
Links to images related to a location such as photos or logos.
energy_mix· OCPIEnergyMix
Details of the energy supplied at a location.
last_updated· DateTime
Timestamp when a location, or one of its EVSEs or Connectors were last updated (or created).
external_id· String
ID provided by a station data source.
location· Point
GeoJSON location of a charging station.
elevation· Int
Elevation (altitude) level.
chargers· Charger
Groups of EVSEs by power and type.
amenities· JSON
Amenities located at this location.
physical_address· Address
Enriched information about the physical address of a station.
heavy_vehicles_properties· StationHeavyVehiclesProperties
Describes the heavy vehicle properties at the location.
heavy_vehicles_restrictions· StationHeavyVehiclesRestrictions
Describes the heavy vehicle restrictions at the location.
vehicle_restrictions· StationVehicleRestrictions
Describes the vehicle restrictions at the location.
location_category· String
Type of location where the charge point is located. For example, shop.
entrance_for_navigation· OCPIAdditionalGeoLocation
Coordinates for the location's entrances in decimal degrees. If available, there can be more than one entrances to the location.
properties· JSON· deprecated
Optional object where you can store custom data you need in your application. This extends the current functionalities we offer.
realtime· Boolean
A flag that indicates if a station has real-time information about the availability of its connectors.
power· JSON
Connectors grouped by power.
predicted_occupancy· StationPredictedOccupancy
Predicted station occupancy.
speed· StationSpeedType
Charging speed for a station.
slow

Slow charging (below 43 kW).

fast

Fast charging stations (above 43 kW and below 150 kW).

turbo

Ultra fast charging stations (above 150 kW).

status· ChargerStatus
Global status for a station.
free

The charger is free.

busy

The charger is occupied/busy.

unknown

The charger is unknown.

error

The charger has an error.

custom_properties· StationCustomProperties
Custom properties of a station. These are vendor specific and will return null values on the fields that are not supported by your station database.
review· ReviewStats
Review of a station.
roaming· StationRoaming
List of eMSP cards accepted at a charging station.
support_phone_number· String
Phone number for assistance at a charging station.
charging_behaviour· ChargingBehaviour
Charging behavior of a station.
reliability_score· Int
Shows how reliable a charging station is (1 to 5; 1 = unreliable, 5 = reliable), taking into account the charging behaviour history and error values.
adhoc_authorisation_payment_method· StationAdhocAuthorisationPaymentMethod
Indicates the authentication and payment methods.
AUTH_BY_CAR_PLUG_AND_CHARGE

Authentication by car through Plug and Charge.

ONLINE_APPLE_PAY

Apple Pay.

TERMINAL_IN_APP

Terminal in app.

ONLINE_PAYPAL

PayPal.

SERVICE_PROVIDER_RFID_CARD

Service Provider RFID Card.

TERMINAL_QR_CODE

Terminal QR Code.

TERMINAL_CREDIT_CARD

Terminal Credit Card.

TERMINAL_DEBIT_CARD

Terminal Debit Card.

TERMINAL_SMS

Terminal SMS.

ONLINE_CREDIT_CARD

Credit Card.

OTHER_OTHER

Other.

TERMINAL_CONTACTLESS

Terminal Contactless.

ONLINE_GOOGLE_PAY

Google Pay.

ONLINE_BANK_PAYMENT

Bank Payment.

AUTH_BY_CAR_AUTOCHARGE

Authentication by car through Auto Charge.

access_type· AccessType
Type of access to the charging station.
Public

Restricted

Private

Exceptions

Codes

error_forbidden_message
You are forbidden to execute this operation.
invalid_value
Provided value $VALUE for $LOCATION is not valid. Expected value of type $EXPECTEDTYPE.
operation_not_allowed
You are not allowed to execute this operation. Enable it for the current application in the dashboard or reach out to customer support.
pagination_invalid_page
Page must be an INT value higher than 0.
pagination_invalid_size
Size must be an INT value between 1 and 1000.
rate_limit_exceeded
Rate limit exceeded.
  • Getting started

    Get started with the Chargetrip API.

  • API reference

    Browse our api and endpoints.

  • Examples

    Explore examples and start building.

How filter works

The filter argument lets you narrow down results by passing an input object with specific criteria. Each field within the filter is optional — only include the ones relevant to your query.